Bug 759469 - Event viewer loads all events at once
Event viewer loads all events at once
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Events (Show other bugs)
4.2
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-12-02 08:08 EST by Heiko W. Rupp
Modified: 2013-08-05 20:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 10:01:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-12-02 08:08:21 EST
Do logfile tailing for events (e.g. syslog) on a box creating many logfile events.

Leave it tracking stuff for a while, then go to the events tab.
This contains in my case 27k rows, tendency growing.

In the longer run, this may result in memory issues (either the bowser growing too big or the server running oom while loading the items from the DB).

We should introduce paging with e.g. 1k events per page.
Comment 1 Ian Springer 2011-12-13 15:20:10 EST
The events list view should be paged with 50 items per page just like most of the other list views in the GUI. When I got to the events list view in hosted mode, I see the following in logs on the hosted mode console:

[INFO] (RPCDataSource.java:131) 2011-12-13 15:16:11,439 [DEBUG] org.rhq.enterprise.gui.coregui.client.inventory.common.event.EventCompositeDatasource using [PageControl[firstRow=0, size=50, sort[timestamp DESC]]] for fetch request.
[INFO] (TrackingRemoteServiceProxy.java:109) 2011-12-13 15:16:11,458 [DEBUG] RPC method invocation: EventGWTService_Proxy.findEventCompositesByCriteria

This most likely means events are being paged correctly.

Heiko, what led you to think the events were not being paged?
Comment 2 Heiko W. Rupp 2011-12-13 15:41:33 EST
I guess you are right - what led me to this was the missing page buttons like we have/had in Struts/JSF land.

Actually I've opened another BZ where the paging shows the red bar from time to time, so I think this one
can be just closed.

Note You need to log in before you can comment on or make changes to this bug.